/* SofChat (Web Chat program SHM version)      */
/* Copyright(c) 1996-1998 Y.YONEYAMA           */
/*                                             */
/* html.h                                      */

typedef struct {
  char *bgcolor;
  char *bgimage;
  char *txcolor;
  char *licolor;
  char *vlcolor;
  char *alcolor;
} BODY;

#define SETBODY(b,bg,bi,tx,li,vl,al) \
           b.bgcolor=bg;b.bgimage=bi;b.txcolor=tx; \
           b.licolor=li;b.vlcolor=vl;b.alcolor=al;

int isvalidtag(
#if NeedFunctionPrototypes
char *tag
#endif
);

char *gettagstr(
#if NeedFunctionPrototypes
char *dst,
char *src
#endif
);

int checkqt(
#if NeedFunctionPrototypes
char *p1,
char *p2
#endif
);

int htmlout(
#if NeedFunctionPrototypes
char *str,
int taglevel
#endif
);

void nohtmlout(
#if NeedFunctionPrototypes
char *str
#endif
);

void body_out(
#if NeedFunctionPrototypes
BODY *body
#endif
);

void print_string(
#if NeedFunctionPrototypes
char *str
#endif
);

void hidden_out(
#if NeedFunctionPrototypes
char *name,
char *value
#endif
);

int isvalidcolor(
#if NeedFunctionPrototypes
char *color,
char *incolor
#endif
);

extern int OUTPUT_JCODE;

#define OC_JIS     0
#define OC_SJIS    1
#define OC_EUC     2
#define OC_XBM     3

